var View = require('./view');
var application = require('../application');
var template = require('./templates/home');

module.exports = View.extend({
    template: template,
    initialize: function(){
        _.bindAll(this);
        this.listenTo(this.collection, 'add', this.render);
        this.listenTo(this.collection, 'reset', this.addAll);
        this.listenTo(this.collection, 'destroy', this.removeOne);
    },

    addAll: function() {
        this.collection.each(this.addOne, this);
    },

    removeOne: function(status){
        this.collection.remove(status);
    },

    render: function(){
        document.title = "My lief";

        var self = this;

        this.$el.html(this.template());

        this.$('#np').empty();
        var nowPlayingModel = new application.NowPlayingModel();
        nowPlayingModel.fetch({
            success: function(model){
                var nowPlayingView = new application.NowPlayingView({ model: model });
                self.$('#np').append(nowPlayingView.render().el);
            }
        });

        this.$('#feed').empty();
        _.each(this.collection, function(item, index, collection){
            var statusView = new application.StatusView({ model: collection.at(index) });
            self.$('#feed').append(statusView.render().el);
        });
    }
});
