var config = require('../../config'), mongoose = config.mongoose, settings = config.settings;
var schemas = require('../schemas.js'), Status = schemas.Status;
var lastfmNode = require('lastfm').LastFmNode;
lastfm = new lastfmNode({
    api_key: settings.lastfm.key,
    secret: settings.lastfm.secret
});

// GET /feed
exports.feedRoute = function feedRoute(req, res){
    Status.find().limit(10).sort('-time').exec(function(err, doc){
        res.send(doc);
    });
};

// GET /np
exports.nowPlayingRoute = function nowPlayingRoute(req, res){
    var trackStream = lastfm.stream(settings.lastfm.username);
    trackStream.on('nowPlaying', function(track){
        res.send(track);
        trackStream.stop();
    });
    trackStream.start();
};