var schemas = require('./schemas.js'), Status = schemas.Status;
var config = require('../config'), mongoose = config.mongoose, settings = config.settings;
var twit = require('twit');
var t = new twit({
    consumer_key: settings.twitter.key,
    consumer_secret: settings.twitter.secret,
    access_token: settings.twitter.access,
    access_token_secret: settings.twitter.accessSecret
});

var lastfmNode = require('lastfm').LastFmNode;
lastfm = new lastfmNode({
    api_key: settings.lastfm.key,
    secret: settings.lastfm.secret
});

exports.watchTwitter = function watchTwitter(){
    var tweetStream = t.stream('user', {'with': 'user'});
    tweetStream.on('tweet', function(tweet){

        var tweeted = new Status({
            service: 'twitter',
            action: 'tweeted "' + tweet.text + '" as @' + tweet.user.screen_name,
            author: settings.name,
            time: new Date(),
            data: tweet
        });

        tweeted.save(function(err, doc){
            if (err) throw err;
        });

    });

    tweetStream.on('delete', function(tweet){
        Status.find({ service: 'twitter', 'data.id': tweet.delete.status.id }).remove(function(err, doc){
            if (err) throw err;
        });
    });
};

exports.watchScrobble = function watchScrobble(){
    var trackStream = lastfm.stream(settings.lastfm.username);
    trackStream.on('scrobbled', function(track){

        var scrobble = new Status({
            service: 'last.fm',
            action: 'listened to "' + track.name + '" by ' + track.artist['#text'],
            author: settings.name,
            time: new Date(),
            data: track
        });

        scrobble.save(function(err, doc){
            if (err) throw err;
        });

    });
    trackStream.start();
};