var express = require('express');
var routes = require('./app/routes.js');
var watch = require('./app/watch.js');
var config = require('./config'), mongoose = config.mongoose, settings = config.settings;

exports.startServer = function(port, path, cb){
    var app = express();
    app.use(express.static(__dirname + '/..' + settings.brunchDir));

    app.get('/feed', routes.gets.feedRoute);
    app.get('/np', routes.gets.nowPlayingRoute);

    watch.watchTwitter();
    watch.watchScrobble();

    var server = app.listen(port);
    server.on('listening', function(){
        cb(server);
    });
};